<template lang="pug">
  div.column.justify-center.items-center.full-width
    span.text-h3.q-pb-xl Login de Usuário
    div.column
      q-input(color="black" bg-color="white" outlined v-model="email" label="Username").q-py-xs
      q-input(color="black" bg-color="white" outlined v-model="password" type="password" label="Senha").q-py-xs
      q-btn(v-if="!loading" color="secondary" text-color="white" glossy label="Entrar" @click="verifyLogin()").q-my-xl
      q-spinner-tail(v-else color="secondary" size="6em").self-center

</template>

<script>
import { mapActions } from 'vuex'
import { QInput } from 'quasar'

export default {
  name: 'Login',
  components: {
    QInput
  },
  data () {
    return {
      email: '',
      password: '',
      loading: false
    }
  },
  methods: {
    ...mapActions( 'user', [
      'login'
    ]),
    async verifyLogin () {
      this.loading = true
      await this.login({ email: this.email, password: this.password })
      console.log('oi')
      this.loading = false
    }
  }
}
</script>

<style lang="stylus">
.q-field__inner
  padding 0
</style>

<style lang="stylus" scoped>
.fit-height
  height -webkit-fill-available
</style>